- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QDomDocumentType Class Reference

Search for all occurrences

## Detailed Description

Definition at line 282 of file qdom.h.

`#include <qdom.h>`

Inheritance diagram for QDomDocumentType:
[legend]

List of all members.

## Public Member Functions
| QDomDocumentType ()
| QDomDocumentType (const QDomDocumentType &x)
QDomDocumentType & | operator= (const QDomDocumentType &)
QString | name () const
QDomNamedNodeMap | entities () const
QDomNamedNodeMap | notations () const
QString | publicId () const
QString | systemId () const
QString | internalSubset () const
QDomNode::NodeType | nodeType () const
## Friends
class | QDomImplementation
class | QDomDocument
class | QDomNode

## Constructor & Destructor Documentation

QDomDocumentType | ( |  | ) |

QDomDocumentType | ( | const QDomDocumentType & | x | ) |

## Member Function Documentation

QDomDocumentType& operator= | ( | const QDomDocumentType & |  | ) |

QString name | ( |  | ) | const

Search for all occurrences

QDomNamedNodeMap entities | ( |  | ) | const

Search for all occurrences

QDomNamedNodeMap notations | ( |  | ) | const

Search for all occurrences

QString publicId | ( |  | ) | const

Search for all occurrences

QString systemId | ( |  | ) | const

Search for all occurrences

QString internalSubset | ( |  | ) | const

Search for all occurrences

QDomNode::NodeType nodeType | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 298 of file qdom.h.

    { return DocumentTypeNode; }

## Friends And Related Function Documentation

friend class QDomImplementation `[friend]`

Search for all occurrences

Definition at line 303 of file qdom.h.

friend class QDomDocument `[friend]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 304 of file qdom.h.

friend class QDomNode `[friend]`

Search for all occurrences

Definition at line 305 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType
QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType QDomDocumentType